/*
 *******************************************************************************
 * Copyright (c) 2018 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *******************************************************************************
*/

export const RESSOURCEWITHTYPERESPONSEEMPTYLIST = `
<ResponseMessage>
  <Header>
      <Verb>reply</Verb>
      <Noun>PowerSystemResources</Noun>
      <Revision>1</Revision>
      <Timestamp>2018-07-09T07:35:02.144Z</Timestamp>
      <Source>DynamicTopologyService</Source>
      <User>
          <UserID></UserID>
      </User>
      <MessageID>3e3d3b6f-e765-4398-aa03-68a4dcc0fffb</MessageID>
  </Header>
  <Reply>
      <Result>OK</Result>
  </Reply>
  <Payload>
      <PowerSystemResources>
      </PowerSystemResources>
  </Payload>
</ResponseMessage>
`;

export const RESSOURCEWITHTYPERESPONSE = `
<ResponseMessage>
  <Header>
      <Verb>reply</Verb>
      <Noun>PowerSystemResources</Noun>
      <Revision>1</Revision>
      <Timestamp>2018-07-09T07:35:02.144Z</Timestamp>
      <Source>DynamicTopologyService</Source>
      <User>
          <UserID></UserID>
      </User>
      <MessageID>3e3d3b6f-e765-4398-aa03-68a4dcc0fffb</MessageID>
  </Header>
  <Reply>
      <Result>OK</Result>
  </Reply>
  <Payload>
      <PowerSystemResources>
          <PowerTransformer>
              <description>PowerTransformer (abddaf44-13e6-46a3-8f87-0d675ea78659)</description>
              <mRID>abddaf44-13e6-46a3-8f87-0d675ea78659</mRID>
              <name>PowerTransformer</name>
              <Terminals>
                  <Terminal>
                      <mRID>22648ddb-9ef9-471c-86e9-9e653354b6b9</mRID>
                      <name>Terminal 1</name>
                      <ConnectivityNode>
                          <ConnectivityNode>
                              <mRID>547146dd-d4aa-48d0-bf1c-d41b3048a372</mRID>
                          </ConnectivityNode>
                      </ConnectivityNode>
                  </Terminal>
                  <Terminal>
                      <mRID>cae79c4c-b877-4382-becb-1438595dbe1a</mRID>
                      <name>Terminal 2</name>
                      <ConnectivityNode>
                          <ConnectivityNode>
                              <mRID>d461607f-f4bb-407a-9be8-1575eefacfb6</mRID>
                          </ConnectivityNode>
                      </ConnectivityNode>
                  </Terminal>
              </Terminals>
              <vectorGroup>Dyn1</vectorGroup>
              <PowerTransformerEnd>
                  <PowerTransformerEnd>
                      <BaseVoltage>
                          <BaseVoltage>
                              <mRID>ea4cf040-cb88-4978-a3a4-630a8f144e4b</mRID>
                          </BaseVoltage>
                      </BaseVoltage>
                      <Terminal>
                          <Terminal>
                              <mRID>22648ddb-9ef9-471c-86e9-9e653354b6b9</mRID>
                          </Terminal>
                      </Terminal>
                      <ratedS>
                          <multiplier>none</multiplier>
                          <unit>VA</unit>
                          <value>20000.0</value>
                      </ratedS>
                      <ratedU>
                          <multiplier>none</multiplier>
                          <unit>V</unit>
                          <value>10000.0</value>
                      </ratedU>
                  </PowerTransformerEnd>
                  <PowerTransformerEnd>
                      <RatioTapChanger>
                          <RatioTapChanger>
                              <highStep>40</highStep>
                              <lowStep>5</lowStep>
                              <normalStep>5</normalStep>
                              <step>20.0</step>
                              <stepVoltageIncrement>
                                  <multiplier>none</multiplier>
                                  <unit>none</unit>
                                  <value>30.0</value>
                              </stepVoltageIncrement>
                          </RatioTapChanger>
                      </RatioTapChanger>
                      <BaseVoltage>
                          <BaseVoltage>
                              <mRID>9542f9ef-9a5f-47de-aff5-33f04f362668</mRID>
                          </BaseVoltage>
                      </BaseVoltage>
                      <Terminal>
                          <Terminal>
                              <mRID>cae79c4c-b877-4382-becb-1438595dbe1a</mRID>
                          </Terminal>
                      </Terminal>
                      <ratedS>
                          <multiplier>none</multiplier>
                          <unit>VA</unit>
                          <value>20000.0</value>
                      </ratedS>
                      <ratedU>
                          <multiplier>none</multiplier>
                          <unit>V</unit>
                          <value>400.0</value>
                      </ratedU>
                  </PowerTransformerEnd>
              </PowerTransformerEnd>
          </PowerTransformer>
      </PowerSystemResources>
  </Payload>
</ResponseMessage>
`;

export const RESSOURCEWITHTYPERESPONSE_2 = `
<ResponseMessage>
<Header>
    <Verb>reply</Verb>
    <Noun>PowerSystemResources</Noun>
    <Revision>1</Revision>
    <Timestamp>2018-07-09T09:15:56.986Z</Timestamp>
    <Source>DynamicTopologyService</Source>
    <User>
        <UserID></UserID>
    </User>
    <MessageID>d0383f7e-e89f-4291-847c-6a5007aac5ae</MessageID>
</Header>
<Reply>
    <Result>OK</Result>
</Reply>
<Payload>
    <PowerSystemResources>
        <ACLineSegment>
            <mRID>ebb8f129-3e4f-4200-bb96-ba384c911c83</mRID>
            <name>South ACLineSegment</name>
            <BaseVoltage>
                <BaseVoltage>
                    <mRID>9542f9ef-9a5f-47de-aff5-33f04f362668</mRID>
                </BaseVoltage>
            </BaseVoltage>
            <Terminals>
                <Terminal>
                    <mRID>ae19e738-59ce-466d-840d-cafb06b4ad16</mRID>
                    <name>Terminal 1</name>
                    <ConnectivityNode>
                        <ConnectivityNode>
                            <mRID>49079d8e-9478-4560-a958-9dae258254e2</mRID>
                        </ConnectivityNode>
                    </ConnectivityNode>
                </Terminal>
                <Terminal>
                    <mRID>78b3a4ad-154d-4ace-9fa9-d881b38debb2</mRID>
                    <name>Terminal 2</name>
                    <ConnectivityNode>
                        <ConnectivityNode>
                            <mRID>ed79abaf-10f9-4bc7-93d9-64ab205fcf5d</mRID>
                        </ConnectivityNode>
                    </ConnectivityNode>
                </Terminal>
            </Terminals>
            <length>
                <multiplier>none</multiplier>
                <unit>m</unit>
                <value>500000.0</value>
            </length>
            <PerLengthImpedance>
                <PerLengthSequenceImpedance>
                    <WireInfos>
                        <WireInfo>
                            <ratedCurrent>
                                <multiplier>none</multiplier>
                                <unit>A</unit>
                                <value>2.0</value>
                            </ratedCurrent>
                        </WireInfo>
                    </WireInfos>
                    <r>
                        <multiplier>none</multiplier>
                        <unit>ohm</unit>
                        <value>0.5</value>
                    </r>
                    <x>
                        <multiplier>none</multiplier>
                        <unit>ohm</unit>
                        <value>0.3</value>
                    </x>
                </PerLengthSequenceImpedance>
            </PerLengthImpedance>
        </ACLineSegment>
        <ACLineSegment>
            <mRID>1efdad09-d26f-4f1b-be82-7f63ef474c42</mRID>
            <name>North ACLineSegment</name>
            <BaseVoltage>
                <BaseVoltage>
                    <mRID>9542f9ef-9a5f-47de-aff5-33f04f362668</mRID>
                </BaseVoltage>
            </BaseVoltage>
            <Terminals>
                <Terminal>
                    <mRID>d4b3980f-8cf5-4840-aed3-e23c5dd2689a</mRID>
                    <name>Terminal 1</name>
                    <ConnectivityNode>
                        <ConnectivityNode>
                            <mRID>23fe5dd0-7969-4d23-9b91-05db9598186e</mRID>
                        </ConnectivityNode>
                    </ConnectivityNode>
                </Terminal>
                <Terminal>
                    <mRID>ed4cbd93-fefb-48c9-abf4-e94e2f3b8ac4</mRID>
                    <name>Terminal 2</name>
                    <ConnectivityNode>
                        <ConnectivityNode>
                            <mRID>49079d8e-9478-4560-a958-9dae258254e2</mRID>
                        </ConnectivityNode>
                    </ConnectivityNode>
                </Terminal>
            </Terminals>
            <length>
                <multiplier>none</multiplier>
                <unit>m</unit>
                <value>500000.0</value>
            </length>
            <PerLengthImpedance>
                <PerLengthSequenceImpedance>
                    <WireInfos>
                        <WireInfo>
                            <ratedCurrent>
                                <multiplier>none</multiplier>
                                <unit>A</unit>
                                <value>2.0</value>
                            </ratedCurrent>
                        </WireInfo>
                    </WireInfos>
                    <r>
                        <multiplier>none</multiplier>
                        <unit>ohm</unit>
                        <value>0.5</value>
                    </r>
                    <x>
                        <multiplier>none</multiplier>
                        <unit>ohm</unit>
                        <value>0.3</value>
                    </x>
                </PerLengthSequenceImpedance>
            </PerLengthImpedance>
        </ACLineSegment>
    </PowerSystemResources>
</Payload>
</ResponseMessage>
`;

export const RESSOURCETYPESRESPONSE = `
<ResponseMessage>
  <Header>
      <Verb>reply</Verb>
      <Noun>PowerSystemResourceTypes</Noun>
      <Revision>1</Revision>
      <Timestamp>2018-07-09T07:54:24.275Z</Timestamp>
      <Source>DynamicTopologyService</Source>
      <User>
          <UserID></UserID>
      </User>
      <MessageID>c99f30dd-62a9-4461-91fa-9d654fd6ef91</MessageID>
  </Header>
  <Reply>
      <Result>OK</Result>
  </Reply>
  <Payload>
      <PowerSystemResourceTypes>
          <PSRType>
              <name>ac-line-segment</name>
          </PSRType>
          <PSRType>
              <name>base-voltage</name>
          </PSRType>
          <PSRType>
              <name>bay</name>
          </PSRType>
          <PSRType>
              <name>breaker</name>
          </PSRType>
          <PSRType>
              <name>busbar-section</name>
          </PSRType>
          <PSRType>
              <name>disconnector</name>
          </PSRType>
          <PSRType>
              <name>earth-fault-compensator</name>
          </PSRType>
          <PSRType>
              <name>energy-consumer</name>
          </PSRType>
          <PSRType>
              <name>energy-source</name>
          </PSRType>
          <PSRType>
              <name>geographical-region</name>
          </PSRType>
          <PSRType>
              <name>ground</name>
          </PSRType>
          <PSRType>
              <name>grounding-impedance</name>
          </PSRType>
          <PSRType>
              <name>junction</name>
          </PSRType>
          <PSRType>
              <name>line-type</name>
          </PSRType>
          <PSRType>
              <name>load-break-switch</name>
          </PSRType>
          <PSRType>
              <name>petersen-coil</name>
          </PSRType>
          <PSRType>
              <name>plant</name>
          </PSRType>
          <PSRType>
              <name>power-transformer</name>
          </PSRType>
          <PSRType>
              <name>sub-geographical-region</name>
          </PSRType>
          <PSRType>
              <name>substation-type</name>
          </PSRType>
          <PSRType>
              <name>voltage-level</name>
          </PSRType>
      </PowerSystemResourceTypes>
  </Payload>
</ResponseMessage>
`;
